GET /client/{client_id}

phantauth.net

Summary: Get a Client
Operation ID:
Auth: unknown
Description

Use this endpoint to generate a random client. The client is generated in a deterministic way, on the bases of the client ID given as a path parameter. In the case of identical client IDs, the endpoint will generate the same client object. The properties of the generated client object are randomly generated on the basis of the client ID. In lack of a client ID, all calls generate a different client object to the randomly generated client ID. By providing an email address as the `client_id` parameter, you can customize the client logo by the use of the gravatar associated with the email address. If the `client_id` parameter contains minimum one dot (`.`) or space (` `) character, the client_name is produced from the parameter, rather than being generated.` The result is always a client object. If you want to generate multiple clients in one single step, you can do it by the use of *Fleet* generation. The members of a fleet are clients randomly generated from the fleet name.

Parameters (1)

client_id (string, path, required)

A client ID or email.

No probe data for this endpoint yet.